## com.imcode.imcms.db
Interface ProcedureExecutor

All Known Implementing Classes:
  DefaultProcedureExecutor, TestUserService.MockProcedureExecutor

    public interface ProcedureExecutor

Method Summary
`java.lang.Object` `executeProcedure(java.lang.String procedureName, java.lang.Object[] params, org.apache.commons.dbutils.ResultSetHandler resultSetHandler)`
`int` `executeUpdateProcedure(java.lang.String procedureName, java.lang.Object[] parameters)`

Method Detail

### executeUpdateProcedure

    int executeUpdateProcedure(java.lang.String procedureName,
                               java.lang.Object[] parameters)
                               throws com.imcode.db.DatabaseException

  Throws:
    `com.imcode.db.DatabaseException`

### executeProcedure

    java.lang.Object executeProcedure(java.lang.String procedureName,
                                      java.lang.Object[] params,
                                      org.apache.commons.dbutils.ResultSetHandler resultSetHandler)